SDL_PenAxisEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_WindowID | windowID
SDL_PenID | which
SDL_PenInputFlags | pen_state
float | x
float | y
SDL_PenAxis | axis
float | value

## Detailed Description

Pressure-sensitive pen pressure / angle event structure (event.paxis.*)

You might get some of these events even if the pen isn't touching the tablet.

Since
  This struct is available since SDL 3.2.0.

Definition at line 910 of file SDL_events.h.

## Field Documentation

## axis

SDL_PenAxis SDL_PenAxisEvent::axis

Axis that has changed

Definition at line 920 of file SDL_events.h.

## pen_state

SDL_PenInputFlags SDL_PenAxisEvent::pen_state

Complete pen input state at time of event

Definition at line 917 of file SDL_events.h.

## reserved

Uint32 SDL_PenAxisEvent::reserved

Definition at line 913 of file SDL_events.h.

## timestamp

Uint64 SDL_PenAxisEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 914 of file SDL_events.h.

## type

SDL_EventType SDL_PenAxisEvent::type

SDL_EVENT_PEN_AXIS

Definition at line 912 of file SDL_events.h.

## value

float SDL_PenAxisEvent::value

New value of axis

Definition at line 921 of file SDL_events.h.

## which

SDL_PenID SDL_PenAxisEvent::which

The pen instance id

Definition at line 916 of file SDL_events.h.

## windowID

SDL_WindowID SDL_PenAxisEvent::windowID

The window with pen focus, if any

Definition at line 915 of file SDL_events.h.

## x

float SDL_PenAxisEvent::x

X coordinate, relative to window

Definition at line 918 of file SDL_events.h.

## y

float SDL_PenAxisEvent::y

Y coordinate, relative to window

Definition at line 919 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h